Loading...
Searching...
No Matches
caf::message_view Class Referenceabstract

Represents an object pointing to a type_erased_tuple that is convertible to a message. More...

`#include <message_view.hpp>`

## Public Member Functions

virtual type_erased_tuple & | content ()=0
virtual const type_erased_tuple & | content () const =0
virtual message | move_content_to_message ()=0
virtual message | copy_content_to_message () const =0

## Detailed Description

Represents an object pointing to a type_erased_tuple that is convertible to a message.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/message_view.hpp